---
apiVersion: v1
kind: Service
metadata:
  annotations:
    operator.openshift.io/spec-hash: d9e6d53076d47ab2d123d8b1ba8ec6543488d973dcc4e02349493cd1c33bce83
    service.alpha.openshift.io/serving-cert-secret-name: v4-0-config-system-serving-cert
    service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
    service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
  creationTimestamp: "2025-10-27T11:31:20Z"
  labels:
    app: oauth-openshift
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:operator.openshift.io/spec-hash: {}
          f:service.alpha.openshift.io/serving-cert-secret-name: {}
        f:labels:
          .: {}
          f:app: {}
      f:spec:
        f:internalTrafficPolicy: {}
        f:ports:
          .: {}
          k:{"port":443,"protocol":"TCP"}:
            .: {}
            f:name: {}
            f:port: {}
            f:protocol: {}
            f:targetPort: {}
        f:selector: {}
        f:sessionAffinity: {}
        f:type: {}
    manager: authentication-operator
    operation: Update
    time: "2025-10-27T11:31:20Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:service.alpha.openshift.io/serving-cert-signed-by: {}
          f:service.beta.openshift.io/serving-cert-signed-by: {}
    manager: service-ca-operator
    operation: Update
    time: "2025-10-27T11:31:24Z"
  name: oauth-openshift
  namespace: openshift-authentication
  resourceVersion: "7942"
  uid: 8b2bbfc1-4f89-4722-8f48-b3be06e93002
spec:
  clusterIP: 172.30.174.203
  clusterIPs:
  - 172.30.174.203
  internalTrafficPolicy: Cluster
  ipFamilies:
  - IPv4
  ipFamilyPolicy: SingleStack
  ports:
  - name: https
    port: 443
    protocol: TCP
    targetPort: 6443
  selector:
    app: oauth-openshift
  sessionAffinity: None
  type: ClusterIP
status:
  loadBalancer: {}
